name: Test And Build
on: [push]

jobs:
  Lint:
    runs-on: linepics
    steps:
      - name: checkout repo
        uses: actions/checkout@v4
      - name: cppcheck
        run: cppcheck --std=c++17 --addon=cert --addon=misc --error-exitcode=1 src/*.cpp
      - name: formatting
        run: clang-format --style=file --Werror --dry-run src/*.cpp
  Build:
    runs-on: linepics
    steps:
      - name: checkout repo
        uses: actions/checkout@v4
        with:
          submodules: 'true'
      - run: |
          sed -i 's/ARCH_FILTER=.*/ARCH_FILTER=linux%/' Makefile
          echo -e "\nIGNORE_SUBMODULES += sinqmotor" >> Makefile
          make install
